Skip to main content
GET
List entities

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

groups
string[]

Filter based on groups, which correspond to the x-cortex-groups field in the Catalog Descriptor. Accepts a comma-delimited list of groups

owners
string[]

Filter based on owner group names. Returns entities owned by the specified groups, as well as entities owned by any child/sub-teams of those groups. Group names correspond to the x-cortex-owners field in the Catalog Descriptor. Accepts a comma-delimited list of owner group names.

hierarchyDepth
string
default:0

Depth of the parent / children hierarchy nodes to include for each entity. Defaults to 0, which returns no hierarchy data. Pass 'full' to return the entire hierarchy, or a positive integer to limit the depth.

gitRepositories
string[]

Filter by git repositories. Supports GitHub (github:org/repo or org/repo), GitLab (gitlab:namespace/project), Bitbucket (bitbucket:workspace/repo), and Azure DevOps (azure-devops:project/repo). Unprefixed values default to GitHub for backward compatibility.

includeHierarchyFields
string[]

List of sub fields to include for hierarchies. Only supports 'groups'

types
string[]

Filter the response to specific types of entities. By default, this includes services, resources, and domains. Corresponds to the x-cortex-type field in the entity descriptor.

query
string
default:""

Filter based on a search query. This will search across entity properties. If provided, results will be sorted by relevance.

includeArchived
boolean
default:false

Whether to include archived entities in the response

includeMetadata
boolean
default:false

Whether to include custom data for each entity in the response

Whether to include links for each entity in the response

includeSlackChannels
boolean

Whether to include Slack channels for each entity in the response

includeOwners
boolean
default:false

Whether to include ownership information for each entity in the response

includeNestedFields
string[]

List of sub fields to include for different types

pageSize
integer<int32>
default:250
required

Number of results to return per page, between 1 and 1000. Default 250.

page
integer<int32>
default:0
required

Page number to return, 0-indexed. Default 0.

Response

Successfully found entities

List of all catalog entities, including services, resources, and domains. Use the "type" field to determine what type each entity is.

entities
object[]
required
page
integer<int32>
required

Current page number, 0-indexed

total
integer<int32>
required

Total number of results

totalPages
integer<int32>
required

Total number of pages

Last modified on September 29, 2026